Subject: [Sip] Routing mechanism transition history info wanted

From: "Rockson Li \(zhengyli\)" <[email-masked]>
Date: Tue, 10 Jul 2007 23:50:33 +0800

Folks,
 
I am seeking why there's a fundamental transition from strict-routing
"RFC2543" to loose-routing "RFC3261".
 
I find some text in draft-sparks-sip-looseroute-00
 
   "Several problems with
   the strict routing mechanisms already available in SIP were
   identified, including the endpoint's lack of complete knowledge of
   what that set of proxies should be and the potential loss of
   information about the desired target due to the strict replacement of
   the Request-URI."
 
But there's no detail description on these problems, could some one
provide me with some more info (link, email, draft, memo) pls?

Sorry if question has been raised before, however, I do not find the
explicit answer.
 
Thanks
 
Regards,
Rockson Li (Zhengyu Li)

Software Engineer
Cisco R&D Center, Shanghai, PRC
Phone(Office) : (8621) 24057003
Email: [email-masked]

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip